Subject: Re: export vs ntsec (was chmod/chown/gdb/cygrunsrc does not work)
From: Jean-Marc Eurin <[email-masked]>
To: Peter Buckley <[email-masked]>
Cc: [email-masked]
Date: Wed, 31 Oct 2001 10:32:33 -0800 (PST)

Hi Peter,

My PATH (in W2K) does include c:\cygwin\bin. I could
start the service by hand in a windows command prompt.
But for some reason, when CYGWIN contains 'export'
this PATH is not exported to the service started by
cygrunsrv.

Jean-Marc

--- Peter Buckley <[email-masked]> wrote:
>  From the inetutils-1.3.2.README-
>    - The system environment variable PATH must
> contain the path
>      to the directory which contains the
> cygwin1.dll.
> 
> 
> HTH,
> Peter
> 
> Jean-Marc Eurin wrote:
> 
> > Hi,
> > 
> > I think I actually found the root cause of my
> various
> > problems: setting the 'export' flag in the CYGWIN
> > variable on W2K (i.e. with ntsec) seems a very bad
> > idea.
> > 
> > I removed it (now CYGWIN=ntsec), rebooted, and
> now:
> > - chown & chmod work. 
> > - gdb does not crash (see message on 10/26/01)
> > - I can run services with cygrunsrv. The symptom
> here
> > was that when starting the service (--start),
> Windows
> > would complain that it could not find cygwin1.dll
> in
> > the PATH.
> > 
> > Hopefully this will solve some of the issues seen
> in
> > this list :-)
> > 
> > Jean-Marc
> > 
> > __________________________________________________
> > Do You Yahoo!?
> > Make a great connection at Yahoo! Personals.
> > http://personals.yahoo.com
> > 
> > --
> > Unsubscribe info:     
> http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> > 
> > 
> 
> 
> -- 
> -- 
> Your mouse has moved.
> Windows NT must be restarted for the change to take
> effect.
> Reboot now?  [OK]
> 
> --
> 

__________________________________________________
Do You Yahoo!?
Make a great connection at Yahoo! Personals.
http://personals.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/